Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

(Please note I'm still relatively new to Linux).

When I run QGIS after install I get a message 'Could't load SIP module'. I've looked for help and am conflicting advice on what my next step should be.

I have previously installed Anaconda (details below). Some advice appears to suggest to change PYTHONPATH but am unclear why or how. There's no way to change the system settings within the graphical interface and I've seen references to "$ export PYTHONPATH=/Applications/QGIS.app/Contents/Resources/python/" but that would appear that I would no longer be able to use my Anaconda install.

Or should install another version of Python that includes SIP (PyGIS) or should I download SIP separately?

Any help would be greatly appreciated!

Couldn't load SIP module. Python support will be disabled.

Traceback (most recent call last): File "", line 1, in ImportError: No module named sip

Python version: 2.7.5+ (default, Sep 19 2013, 13:53:30) [GCC 4.8.1]

QGIS version: 1.7.5-Wroclaw 'Wroclaw', exported

Python path: ['/usr/share/qgis/python', '/home/mita/.qgis/python', '/home/mita/.qgis/python/plugins', '/usr/share/qgis/python/plugins', '/home/mita/anaconda/lib/python2.7', '/home/mita/anaconda/lib/python2.7/plat-i386-linux-gnu', '/home/mita/anaconda/lib/python2.7/lib-tk', '/home/mita/anaconda/lib/python2.7/lib-old', '/home/mita/anaconda/lib/python2.7/lib-dynload', '/home/mita/anaconda/lib/python2.7/site-packages', '/home/mita/anaconda/lib/python2.7/site-packages/PIL', '/home/mita/anaconda/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info']

share|improve this question
2  
That's quite an old Qgis - 2.0 is a lot newer and nicer. I'd suggest updating to the latest version from the ubuntugis repository. –  Spacedman Jan 25 at 22:07
    
What Linux distribution and version are you using? –  Luke Jan 26 at 19:54
    
Thanks for picking up on the old version of Qgis. I will upgrade. I'm using Ubuntu 13.10. –  copystar Jan 27 at 18:39
    
I ended up installing SIP and deleting Anaconda and that seemed to have done the trick. Much thanks to Luke and Spacedman for following up. –  copystar Jan 27 at 18:41
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.